Modify

#562 closed enhancement (unlikelytobedone)

feature requst: oscar: ignore authentication request from unknown sources

Reported by: dmitry@… Owned by: Jelmer Vernooij
Priority: normal Milestone:
Component: OSCAR Version: 1.2.4
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

The patch introduces a boolean setting "oscar_ignore_auth" that ignores authentication requests from UINs not in the buddy list. The setting is "false" by default.

Attachments (2)

bitlbee2.diff (986 bytes) - added by Dmitry Karasik <dmitry@…> at 2010-02-03T09:51:49Z.
patch
bitlbee2.2.diff (1.1 KB) - added by Dmitry Karasik <dmitry@…> at 2010-02-03T20:28:41Z.
overrides previous patch

Download all attachments as: .zip

Change History (6)

Changed at 2010-02-03T09:51:49Z by Dmitry Karasik <dmitry@…>

Attachment: bitlbee2.diff added

patch

Changed at 2010-02-03T20:28:41Z by Dmitry Karasik <dmitry@…>

Attachment: bitlbee2.2.diff added

overrides previous patch

comment:1 Changed at 2010-04-13T22:30:54Z by wilmer

Hello,

Sorry for the lack of followups so far.

Have you seen changeset:devel,524 ? It's similar to your change except it doesn't check if the contact is known. How often do you get auth. requests from people who are in your contact list already? Is it important that I include this change?

comment:2 Changed at 2010-04-17T19:24:15Z by dmitry@…

Hi,

Yes, the only difference between #524 and #562 is that conditioning how to ignore auth requests. I actually do rarely get requests from people in my contact list, because they change IM client or well I don't know why. I won't insist though that #562 is any better than #524, as long as it works - because I'm not interested in auth messages as they are. But I have another question, if I enable that setting proposed by #524, so won't normal (non-auth) messages from people in my contact list be blocked? If not, then yes, go ahead, I'm totally ok with #562 not being added. Otherwise I'd hate to lose a communication with a friend whose auth request was ignored by this.

comment:3 Changed at 2010-05-13T22:24:42Z by wilmer

That patch is really specific to auth. requests, it won't block any normal messages.

If you do get auth. requests from people on your contact list, then maybe BitlBee really should make an exception there too. :-/ I'll keep this bug open as a reminder. Thanks for the info.

comment:4 Changed at 2016-10-18T08:06:28Z by dx

Resolution: unlikelytobedone
Status: newclosed

Modify Ticket

Action
as closed The owner will remain Jelmer Vernooij.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.